# rpm -ivh MySQL-server-community-5.1.44-1.rhel5.x86_64.rpm
error: Failed dependencies:
        MySQL conflicts with mysql-5.0.77-4.el5_4.1.x86_64
安装发现冲突 。 (当前是64 centos5。3  )
于是我删除这个
[[email protected] ~]# rpm -ev mysql-5.0.77-4.el5_4.1
error: Failed dependencies:
        libmysqlclient.so.15()(64bit) is needed by (installed) perl-DBD-MySQL-3.0007-2.el5.x86_64
        libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by (installed) perl-DBD-MySQL-3.0007-2.el5.x86_64
[[email protected] ~]# rpm -e --allmatches mysql
error: Failed dependencies:
        libmysqlclient.so.15()(64bit) is needed by (installed) perl-DBD-MySQL-3.0007-2.el5.x86_64
        libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by (installed) perl-DBD-MySQL-3.0007-2.el5.x86_64
结果发现死活不能删除mysql-5.0.77-4.el5_4.1.x86_64。
这个问题 不知道解决 (这个文件mysql-5.0.77-4.el5_4.1.x86_64该如何去掉 以避免安装冲突)